Project

General

Profile

Feature #1870 » 0014-AppImage-Build-gtk4-modpack-installer.patch

S3_2 - Marko Lindqvist, 05/16/2026 08:27 AM

View differences:

platforms/appimage/build_appimages.sh
# build_appimages.sh: Build freeciv AppImages
#
# (c) 2024-2025 Freeciv team
# (c) 2024-2026 Freeciv team
#
# This script is licensed under Gnu General Public License version 2 or later.
# See COPYING available from the same location you got this script.
......
fi
}
# $1 - FCMP type
# $2 - FCMP configuration name
# $3 - FCMP part of the AppImage name as produced by linuxdeploy
# $4 - Extra configure options
fcmp_appimage() {
if ! mkdir "AppDir/fcmp-$1" || ! mkdir "build/fcmp-$1" ; then
echo "Failed to create fcmp-$1 directories!" >&2
return 1
fi
cd "build/fcmp-$1"
if ! meson setup -Dappimage=true -Dprefix=/usr -Ddefault_library=static -Dserver=disabled -Dclients=[] -Dfcmp=$2 -Dtools=[] $4 "${SRC_ROOT}"
then
echo "fcmp-$1 setup with meson failed!" >&2
return 1
fi
if ! DESTDIR="${BUILD_ROOT}/AppDir/fcmp-$1" ninja install ; then
echo "fcmp-$1 build with ninja failed!" >&2
return 1
fi
cd "${BUILD_ROOT}"
if ! tools/linuxdeploy-x86_64.AppImage --appdir "AppDir/fcmp-$1" --output appimage
then
echo "fcmp-$1 image build with linuxdeploy failed!" >&2
return 1
fi
if ! mv "Freeciv_modpack_installer$3-x86_64.AppImage" "Freeciv-fcmp-$1-${FCVER}-x86_64.AppImage" ; then
echo "fcmp-$1 appimage rename failed!" >&2
return 1
fi
}
# $1 - Qtver
ruledit_appimage() {
if ! mkdir "AppDir/ruledit-$1" || ! mkdir "build/ruledit-$1" ; then
......
then
exit 1
fi
if ! fcmp_appimage gtk4 gtk4 "_(gtk4)"
then
exit 1
fi
(2-2/2)